Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
MEDIC_HAT

nối điểm lại theo kiểu polyline

Các bài được khuyến nghị

MEDIC_HAT    0

Em có một bài như sau.

em có một file text bao gồm 2 cột như thế này

1 2

2 3

3 4

......

bây h em muốn hoi có cách nào viết được một lisp nối điểm lại theo kiểu polyline mà không cần load sang excel ko ạ.

Một vấn đề rộng hơn là. Có thể load được dữ liệu từ file text theo kiểu 2 cột để vẽ ko ạ. Em muốn dùng để vẽ cả hình chữ nhật, hình tròn...... Nếu được mong các huynh chỉ giáo.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Em có một bài như sau.

em có một file text bao gồm 2 cột như thế này

1 2

2 3

3 4

......

bây h em muốn hoi có cách nào viết được một lisp nối điểm lại theo kiểu polyline mà không cần load sang excel ko ạ.

Một vấn đề rộng hơn là. Có thể load được dữ liệu từ file text theo kiểu 2 cột để vẽ ko ạ. Em muốn dùng để vẽ cả hình chữ nhật, hình tròn...... Nếu được mong các huynh chỉ giáo.

Nếu chỉ là nối polyline, bạn không cần lisp.

 

Cách làm như sau:

1. Bạn find and replace dấu cách bằng dấu phẩy (,) để dữ liệu có định dạng

1,2

2,3

3,4

.......

2. Bạn copy toàn bộ nội dung text này vào clipboard

3. Bạn vào AutoCAD, gõ lệnh Pline, rồi paste toàn bộ nội dung text này vào dòng command.

4. Nhấn enter rồi Zoom > E, bạn sẽ nhìn thấy những gì bạn cần.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515
Nếu chỉ là nối polyline, bạn không cần lisp.

 

Cách làm như sau:

1. Bạn find and replace dấu cách bằng dấu phẩy (,) để dữ liệu có định dạng

1,2

2,3

3,4

.......

2. Bạn copy toàn bộ nội dung text này vào clipboard

3. Bạn vào AutoCAD, gõ lệnh Pline, rồi paste toàn bộ nội dung text này vào dòng command.

4. Nhấn enter rồi Zoom > E, bạn sẽ nhìn thấy những gì bạn cần.

Thú thật là em phải nhìn lời giải của Bác Hoành mới biết được bạn ấy đang yêu cầu cái gì. hóa ra số liệu kia là tọa độ điểm. :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
MEDIC_HAT    0

Cảm ơn bác hoành nhiều. Nhưng không thể viết lisp được ạ. vì đó chỉ là một phần trong bài tập của em thôi. Nguyên bản bài tập của em như sau:

Cho số liệu trong file excel. Tính toán.( Cái này em làm được rồi).

Xuất ra file text.

Sử dụng autolisp để vẽ trong cad.

Xuất bản vẽ sang word.

Yêu cầu tự động hoá quá trình tính toán trong excel, và sử dụng autolisp để vẽ. :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TRUNGNGAMY    91
Cảm ơn bác hoành nhiều. Nhưng không thể viết lisp được ạ. vì đó chỉ là một phần trong bài tập của em thôi. Nguyên bản bài tập của em như sau:

Cho số liệu trong file excel. Tính toán.( Cái này em làm được rồi).

Xuất ra file text.

Sử dụng autolisp để vẽ trong cad.

Xuất bản vẽ sang word.

Yêu cầu tự động hoá quá trình tính toán trong excel, và sử dụng autolisp để vẽ. :s_big:

Mình làm một ví dụ điển hình giúp bạn. Dữ liệu tọa độ là một file text, x và y cách nhau khoảng trắng

(defun c:vetd( / tfile f st td)
 (setq tfile (getfiled "Ten file" "" "txt" 6))
 (if tfile (progn
(setq f (open tfile "r"))
(command "_.pline")
(while (setq st (read-line f))
  (setq td (eval (read (strcat "'(" st ")"))))
  (command td)
)
(close f)
(command "")
 ))
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×